
Figure - Bug #118675
【IOVDEV-33593】【内部】【VC1】【0095】【台架】【EE环境】【副屏】长按桌面空白处进入桌面编辑状
态，屏幕底部上滑不能回到HOME页（正常），再点击进入添加微件， 在屏幕底部上滑回到了HOME页
2023-06-08 19:07 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.C103��【副屏版本号】：01.00.0106.C104

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-10

Test Type: ST Root cause: 编码问题

Description

【环境信息】EE环境

【问题出现时间】：20230608

【前提条件】：副屏上电，网络正常

【操作步骤】

1.长按桌面空白处进入桌面编辑状态；

2.再点击进入添加微件；

3.在屏幕底部上滑；

【实际结果】

1.回到了HOME页。

【期望结果】

1.回到桌面编辑状态页。

【备注】：

台架Log地址：https://ofs.human-horizons.com/#/download/index/ZSAjoTa3BpY%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/I0LzP2%2F9XeE%3D

【当前开机次数】：副屏第112次开机

【应用版本】：/

【VIN】：HRYTTESTVINMGM816

【硬件版本号】：/

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106.C104
History

#1 - 2023-06-08 19:08 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118675

#2 - 2023-06-08 19:30 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-06-09 11:24 - CD APP-王宏

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

根据手势控制逻辑，定位到 NavBarToHomeTouchController ，发现其默认是回到NORMAL状态，由于EDIT_MODE是新加的状态，

这里没有做适配。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/205920

#4 - 2023-06-09 14:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205920 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:Add widget stroke up to return to edit modeTC-RID: 0301-0205201IssueID: TS-R-BUG-118675Change-Id:

I8ad0477c06668d679d751f04c5f5507c387f3bb7

#5 - 2023-06-09 14:56 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-10

#6 - 2023-06-12 14:42 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

本地验证通过，0610版本

#7 - 2023-06-12 16:13 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
